using SlnMesnac.Model.domain;
using SlnMesnac.Repository.service.@base;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace SlnMesnac.Repository.service.Impl
{
    public class T_RP_InventoryConsume_RecordServiceImpl : BaseServiceImpl<T_RP_InventoryConsume_Record>, IT_RP_InventoryConsume_RecordService
    {
        public T_RP_InventoryConsume_RecordServiceImpl(Repository<T_RP_InventoryConsume_Record> repository):base(repository)
        {
        }

        public async Task<bool> InsertAsync(T_RP_InventoryConsume_Record record)
        {
            bool result = await _rep.InsertAsync(record);
            return result;
        }
    }
}